'use strict';

function _toArray(arr) { return Array.isArray(arr) ? arr : Array.from(arr); }

var spawn = require('cross-spawn');

var _require = require('../../utils'),
    isOptedIn = _require.isOptedIn;

var _process$argv = _toArray(process.argv),
    executor = _process$argv[0],
    args = _process$argv.slice(1);

var lintStagedResult = spawn.sync(executor, [require.resolve('./lint-staged')].concat(args), { stdio: 'inherit' });

if (lintStagedResult.status !== 0 || !isOptedIn('pre-commit')) {
  process.exit(lintStagedResult.status);
} else {
  var validateResult = spawn.sync('npm', ['run', 'validate'], {
    stdio: 'inherit'
  });

  process.exit(validateResult.status);
}